package utils

import (
	"netease_control_center/interfaces/log"
	"os"
)

/*
#include <hello.h>
typedef int (*intFunc) ();

int
bridge_int_func(intFunc f)
{
	return f();
}
extern void GoExportedFunc(int n);
int fortytwo()
{
    GoExportedFunc(58);
    return 66;
}
*/
import "C"

func Test2() {
	f := C.intFunc(C.fortytwo)
	log.Println(log.DebugLog, int(C.bridge_int_func(f)))
	// Output: 42
	os.Exit(1)
}

func Gofuncs() {
	log.Println(log.DebugLog, "This is in go code!")
}

func Test3() {
	C.wzjhello()
}
